KDESU(1)

NOME
kdesu - Executa um programa com privilégios elevados

SINOPSE

kdesu [-c comando] [-d] [-f ficheiro] [-i nome do ícone] [-n] [-p prioridade] [-r] [-s] [-t] [-u utilizador] [--noignorebutton] [--attach ID]

kdesu [Opções Genéricas do KDE] [Opções Genéricas do Qt]

DESCRIÇÃO

O KDE su é uma interface gráfica para o comando de UNIX® su para o Ambiente de Trabalho K. Permite-lhe executar um programa com um utilizador diferente, indicando a senha desse utilizador. O KDE su é um programa sem privilégios; utiliza apenas o su do sistema.

O KDE su tem uma funcionalidade adicional: poderá recordar opcionalmente as senhas para si. Se estiver a usar esta funcionalidade, só terá de indicar uma vez a senha para cada comando.

Este programa pretende ser iniciado a partir da linha de comandos ou a partir de ficheiros .desktop.

Dado que o kdesu não está mais instalado em $(kde4-config --prefix)/bin mas sim em kde4-config --path libexec e, por isso, fora da sua Path, terá de usar o comando $(kde4-config --path libexec)kdesu para invocar o kdesu.

OPÇÕES

-c comando
    Isto indica o comando a ser executado como 'root'. Tem de ser passado um argumento. Assim se, por exemplo, quiser iniciar um novo gestor de ficheiros, iria introduzir na linha de comandos: $(kde4-config --path libexec)kdesu-c Dolphin

-d
    Mostra informações sobre a depuração.

-f ficheiro
    Esta opção permite um uso eficiente do KDE su em ficheiros .desktop. Isto diz ao KDE su para examinar o ficheiro indicado em ficheiro. Se este ficheiro puder ser alterado pelo utilizador actual, o KDE su irá executar o comando com esse utilizador. Se não puder ser alterado, o comando é executado com o utilizador utilizador (o 'root', por omissão).

    O ficheiro é avaliado da seguinte maneira: se o ficheiro começar com um /, é tomado como um nome de ficheiro absoluto. De outra maneira, é tomado como o nome de um ficheiro de configuração global do KDE.

-i nome do ícone
    Indique o ícone a usar na janela da senha. Poderá indicar apenas o nome, sem qualquer extensão.

-n
    Não memorizar a senha. Isto desactiva a opção "Guardar a senha" na janela correspondente.

-p prioridade
    Indica o valor da prioridade. A prioridade é um número qualquer entre 0 e 100, onde o 100 corresponde à prioridade máxima e o 0 à mínima. O valor por omissão é 50.

-r
    Usa o escalonamento em tempo-real.

-s
    Pára o servidor do 'kdesu'. Este é o servidor que coloca em 'cache' as senhas bem-sucedidas em segundo plano. Esta funcionalidade também poderá ser desactivada com o -n, quando o KDE su é executado inicialmente.

-t
    Permite enviar o resultado para o terminal. Isto desactiva a memorização de senhas. É largamente usado para efeitos de depuração; se você quiser executar uma aplicação no modo de consola, use o comando "su" normal.

-u utilizador
    Embora a utilização mais comum do KDE su seja correr um comando como super-utilizador, poderá indicar qualquer nome de utilizador e a senha apropriada.

--noignorebutton
    Não mostrar um botão para ignorar.

--attach ID
    Torna a janela transitória para a aplicação de X indicada com o ID.

VEJA TAMBÉM

su(1)

Está disponível mais documentação de utilizador detalhada em help:/kdesu (tanto poderá indicar este URL no Konqueror, como executar khelpcenter help:/kdesu).

EXEMPLOS

Executar o kfmclient com o utilizador ze, e mostrar o ícone do Konqueror na janela de senhas:

    $(kde4-config --path libexec)kdesu -u jim -i konqueror kfmclient

AUTORES

O KDE su foi criado por Geert Jansen <jansen@kde.org> e Pietro Iglio <iglio@fub.it>.

AUTOR

Lauri Watts <lauri@kde.org>
    Autor.